Name:           lmfit
Version:        5.1
Release:        3%{?dist}
Summary:        Levenberg-Marquardt least-squares minimization and curve fitting
# software is BSD, documentation is CC-BY
License:        BSD and CC-BY
URL:            http://apps.jcns.fz-juelich.de/doku/sc/%{name}
Source0:        http://apps.jcns.fz-juelich.de/src/lmfit/%{name}-%{version}.tgz

%description
C/C++ library for Levenberg-Marquardt least-squares minimization and curve
fitting

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%setup -q
cp -ra demo _demo

%build
%{configure} --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_mandir}/html %{buildroot}%{_bindir}/* %{buildroot}%{_libdir}/*.la
rm -rf demo
mv -f _demo demo

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING CHANGELOG
%{_libdir}/*so.*

%files devel
%doc man/*.html demo
%{_includedir}/*
%{_libdir}/*so
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 26 2013 Miro Hrončok <mhroncok@redhat.com> - 5.1-1
- New version 5.1
- Download location has changed

* Tue Aug 27 2013 Miro Hrončok <mhroncok@redhat.com> - 5.0-1
- New upstream version
- Website has moved
- Add all HTML docs to %%doc
- Moved manpages and their HTML variants and demo to devel

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 04 2013 Miro Hrončok <mhroncok@redhat.com> - 3.5-2
- Do not package demo binaries to %%doc
- Added --disable-static to configure

* Sun Feb 03 2013 Miro Hrončok <mhroncok@redhat.com> - 3.5-1
- Initial package
